<template>
    <v-container class="grey lighten-5">
        <h1>Order Update</h1>
        <h2> Number of order : {{orders.length}}</h2>
        <v-data-table
            :headers="headers"
            :items="orders"
            class="elevation-1"
        ></v-data-table>
    </v-container>
</template>

<script>
import axios from 'axios';
export default {
  name: 'Market',
  components: {
  },
  data: () => ({
      headers: [
           { text: 'order Id', value: 'id' },
           { text: 'account', value: 'client_id' },
           { text: 'payment Id', value: 'paymentid' },
           { text: 'amount', value: 'sum_price'},
           { text: 'date', value: 'createdAt'},
           { text: 'status', value: 'status'}
      ],
      orders: [],
  }),
   created () {
        this.fetchEventsList();
        this.timer = setInterval(this.fetchEventsList, 5000)
    },
    methods: {
        fetchEventsList () {
            axios
      .get(process.env.VUE_APP_URL_E_COMMERCE + '/order/appview')
      .then(response => {
          this.orders = response.data.map((value) => {
              if (value.payments[0]) {
                  return {
                      ...value,
                      paymentid: value.payments[0].id,
                      status: value.payments[0].status,
                  }
              } else {
                  return {
                      ...value, 
                      status: "no payement",
                  }
              }
          })
        });
        },
        cancelAutoUpdate () { clearInterval(this.timer) }

    },
    beforeDestroy () {
      clearInterval(this.timer)
    }

};
</script>